import java.io.*;
import java.net.*;
import java.util.*;

class TimeClient  {
    
    public static void usage() {
	System.err.println("usage : java TimeClient ip_server port");
	System.exit(1);
    }
 
    public static void main(String[] args) {
 
	if (args.length != 2) {
	    usage();
	}
 
	MainClient client = null;
	try {
	    int port = Integer.parseInt(args[1]);
	    client = new MainClient(args[0], port);
	    client.requestLoop();
	}
	catch(NumberFormatException e) {
	    System.err.println("invalid port number");
	    System.exit(1); 
	}
	catch(IOException e) {
	    System.err.println("cannot communicate with server");
	    System.exit(1);
	}
    }
}
		
