import java.io.*;
import java.net.*;
import java.util.*;

class TimeServer  {

    public static void usage() {
	System.err.println("usage : java TimeServer port");
	System.exit(1);
    }
 
    public static void main(String[] args) {
 
	if (args.length != 1) {
	    usage();
	}
 
	MainServer server = null;
	try {
	    int port = Integer.parseInt(args[0]);
	    server = new MainServer(port);
	    server.mainLoop();
	}
	catch(NumberFormatException e) {
	    System.err.println("invalid port number");
	    System.exit(1);
	}
	catch(IOException e) {
	    System.err.println("cannot communicate with client");
	    System.exit(1);
	}
    }
}

		
